--[[ Copyright (c) 2017 David-John Miller AKA Anoyomouse
 * Part of the Warehousing mod
 *
 * extended by dgw 2021
 *
 * See License.txt in the project directory for license information.
--]]

ICONPATH = "__Warehousing__/graphics/icons/"

data:extend({
	{
		type = "item",
		name = "warehouse-basic",
		icon = ICONPATH.."warehouse-basic.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "storage",
		order = "a[items]-c[warehouse]",
		place_result = "warehouse-basic",
		stack_size = 15,
	},
	{
		type = "item",
		name = "warehouse-passive-provider",
		icon = ICONPATH.."warehouse-passive-provider.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-c[logistic-chest-passive-provider]-b[warehouse]",
		place_result = "warehouse-passive-provider",
		stack_size = 15,
	},
	{
		type = "item",
		name = "warehouse-storage",
		icon = ICONPATH.."warehouse-storage.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-c[logistic-chest-storage]-b[warehouse]",
		place_result = "warehouse-storage",
		stack_size = 15,
	},
	{
		type = "item",
		name = "warehouse-active-provider",
		icon = ICONPATH.."warehouse-active-provider.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-c[logistic-chest-active-provider]-b[warehouse]",
		place_result = "warehouse-active-provider",
		stack_size = 15,
	},
	{
		type = "item",
		name = "warehouse-requester",
		icon = ICONPATH.."warehouse-requester.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-e[logistic-chest-requester]-b[warehouse]",
		place_result = "warehouse-requester",
		stack_size = 15,
	},
	{
		type = "item",
		name = "warehouse-buffer",
		icon = ICONPATH.."warehouse-buffer.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-d[logistic-chest-buffer]-b[warehouse]",
		place_result = "warehouse-buffer",
		stack_size = 15,
	},
	{
		type = "item",
		name = "storehouse-basic",
		icon = ICONPATH.."storehouse-basic.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "storage",
		order = "a[items]-c[storehouse]",
		place_result = "storehouse-basic",
		stack_size = 15,
	},
	{
		type = "item",
		name = "storehouse-passive-provider",
		icon = ICONPATH.."storehouse-passive-provider.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-c[logistic-chest-passive-provider]-a[storehouse]",
		place_result = "storehouse-passive-provider",
		stack_size = 15,
	},
	{
		type = "item",
		name = "storehouse-storage",
		icon = ICONPATH.."storehouse-storage.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-c[logistic-chest-storage]-a[storehouse]",
		place_result = "storehouse-storage",
		stack_size = 15,
	},
	{
		type = "item",
		name = "storehouse-active-provider",
		icon = ICONPATH.."storehouse-active-provider.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-c[logistic-chest-active-provider]-a[storehouse]",
		place_result = "storehouse-active-provider",
		stack_size = 15,
	},
	{
		type = "item",
		name = "storehouse-requester",
		icon = ICONPATH.."storehouse-requester.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-e[logistic-chest-requester]-a[storehouse]",
		place_result = "storehouse-requester",
		stack_size = 15,
	},
	{
		type = "item",
		name = "storehouse-buffer",
		icon = ICONPATH.."storehouse-buffer.png",
		icon_size = 64,
		icon_mipmaps = 3,
		subgroup = "logistic-network",
		order = "b[storage]-d[logistic-chest-buffer]-a[storehouse]",
		place_result = "storehouse-buffer",
		stack_size = 15,
	},

	-- no recipes; only for editor
	{
		type = "item",
		name = "linked-storehouse",
		icon = ICONPATH.."storehouse-linked.png",
		icon_size = 64,
		flags = {"hidden"},
		subgroup = "other",
		order = "a[items]-a[linked-chest]-a[linked-storehouse]",
		place_result = "linked-storehouse",
		stack_size = 15,
	},
	{
		type = "item",
		name = "linked-warehouse",
		icon = ICONPATH.."warehouse-linked.png",
		icon_size = 64,
		flags = {"hidden"},
		subgroup = "other",
		order = "a[items]-a[linked-chest]-b[linked-warehouse]",
		place_result = "linked-warehouse",
		stack_size = 15,
	},
})
